Ticket #27042

Malloc should not called in constructor in Atom.cpp and Molecule.cpp

Open Date: 2012-01-04 10:13 Last Update: 2012-01-09 18:25

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
7
Severity:
7
Resolution:
Fixed
File:
None

Details

Malloc should not called in constructor in Atom.cpp and Molecule.cpp. Because Malloc may throw exception.

Ticket History (3/9 Histories)

2012-01-04 10:13 Updated by: mikiya_fujii
  • New Ticket "Malloc should not called in constructor in Atom.cpp" created
2012-01-04 11:22 Updated by: mikiya_fujii
  • Details Updated
2012-01-05 09:54 Updated by: mikiya_fujii
  • Summary Updated
2012-01-05 14:08 Updated by: mikiya_fujii
  • Ticket Close date is changed to 2012-01-05 14:08
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

Completed with Rev.422

2012-01-05 23:56 Updated by: mikiya_fujii
  • Status Update from Closed to Open
Comment

There is a "new" in the constructor of Parameters-class

2012-01-06 00:47 Updated by: mikiya_fujii
  • Ticket Close date is changed to 2012-01-06 00:47
  • Status Update from Open to Closed
Comment

Completed with Rev.427

2012-01-06 02:04 Updated by: mikiya_fujii
  • Status Update from Closed to Open
2012-01-06 02:21 Updated by: mikiya_fujii
  • Ticket Close date is changed to 2012-01-06 02:21
  • Status Update from Open to Closed
Comment

Completed with Rev.428

2012-01-09 18:25 Updated by: mikiya_fujii
Comment

The rule that malloc should not called in constructor is modified such that malloc can be called in constructor with try-catch or smart pointa.

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login